:root {
	/* Бренд-цвета (основные) */
	--logoblue:       #43698D;
	--logogreen:      #548360;
	--logoorange:     #C48D6C;
 
	/* Тёмные варианты для градиентов */
	--logobluedark:   #283f55;
	--logogreendark:  #324f3a;
	--logoorangedark: #795541;
 
	/* Очень тёмные для фонов */
	--logobluedd:     #1b2a38;
	--logogreendd:    #223426;
	--logoorangedd:   #4f382b;
 
	/* Светлые варианты для лёгких градиентов */
	--logoblue-light:     #6b94b8;
	--logogreen-light:    #7ab389;
	--logoorange-light:   #d9b399;
 
	/* Пастельные теги */
	--tag-blue-bg:    #dde8f0;
	--tag-green-bg:   #d8ead9;
	--tag-orange-bg:  #f2e3d9;

	/* Градиенты */
	--dark-gradient: linear-gradient(135deg, var(--logoorangedark), var(--logobluedark), var(--logogreendark));
	--light-gradient: linear-gradient(135deg, var(--logoorange), var(--logoblue), var(--logogreen));
}



body {
	margin: 0;
	padding: 0;
}

.auth_main_container {
	background: var(--dark-gradient);
	padding: 0;
	position: absolute;
	height: 100%;
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.auth_container {
	border-radius: 20px;
	height: fit-content;
	width: 400px;
	background: #1b2a3840;
	display: block;
	justify-items: center;
	box-shadow: 0 6px 4px rgba(0, 0, 0, 0.25);
	backdrop-filter: blur(5px);
	border: 1px solid rgba(255, 255, 255, 0.1);
}

.auth_input {
	margin-bottom: 10%;
}

.auth_input label {
	display: flex;
	gap: 8px;
	margin-bottom: 3%;
	align-items: flex-end;
}

.main_container {
	background: var(--dark-gradient);
	height: 100%;
	width: 100%;
	margin: 0;
	padding: 0;
	position: absolute;
	display: flex;
}

.menu_container {
	display: flex;
	flex-direction: column;
	gap: 10px;
	width: 250px;
	background: #00000010;
	padding: 1%;
	border-right: 2px solid #C48D6C;
	box-shadow: inset -2px 0 4px rgba(0, 0, 0, 0.25);
}

.main_menu {
	background-color: #283F5530;
	padding: 6%;
	border-radius: 15px;
	border: solid #ffffff30 1px;
	box-shadow: 4px 4px 6px #00000050;
}

.user_info {
	color: white;
	background-color: #54836030;
	padding: 6%;
	border-radius: 15px;
	border: solid #ffffff30 1px;
	box-shadow: 4px 4px 6px #00000050;
}

.pages {
	background: #00000020;
	margin: 1%;
	padding: 1%;
	padding-left: 0;
	width: 80%;
	border-radius: 10px;
	border: solid #ffffff40 1px;
	box-shadow: 0 6px 6px rgba(0, 0, 0, 0.25);
}

section {
	display: none;
}

.main_page.active {
	display: flex;
}

.main_info_cont {
	display: grid;
	gap: 20px;
	padding: 1%;
	width: 20%;
}

.past_news {
	color: #ffffff;
	text-align: center;
	background: #1B2A3850;
	width: 80%;
	border: solid #ffffff40 1px;
	box-shadow: 0 4px 6px rgba(0, 0, 0, 0.25);
	border-radius: 10px;
	margin-bottom: 1%;
}